# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=plasma-nm
pkgver=5.14.4
pkgrel=0
pkgdesc="Plasma applet written in QML for managing network connections"
arch="all"
url="https://www.kde.org/workspaces/plasmadesktop/"
license="GPL-2.0"
depends="networkmanager"
makedepends="extra-cmake-modules qt5-qtbase-dev qt5-qtdeclarative-dev qt5-qttools-dev
	ki18n-dev kwindowsystem-dev kservice-dev kcompletion-dev kwidgetsaddons-dev
	kio-dev kcoreaddons-dev kwallet-dev kitemviews-dev kxmlgui-dev kconfigwidgets-dev
	kiconthemes-dev solid-dev kdbusaddons-dev knotifications-dev plasma-workspace-dev
	kdeclarative-dev kinit-dev kdelibs4support-dev networkmanager-qt-dev modemmanager-qt-dev
	qca-qt5-dev"
source="https://download.kde.org/stable/plasma/$pkgver/$pkgname-$pkgver.tar.xz"
subpackages="$pkgname-lang"

build() {
	cmake \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_BUILD_TYPE=Release \
		-DKDE_INSTALL_LIBDIR=lib \
		-DKDE_INSTALL_LIBEXECDIR=lib
	make
}

check() {
	cd "$builddir"
	CTEST_OUTPUT_ON_FAILURE=TRUE ctest
}

package() {
	cd "$builddir"
	make DESTDIR="$pkgdir" install
}
sha512sums="a0bf08c4d700b00a32209b76eed75d95dfdc2271308c16181d54a234f5b0b18636beff6172cba3c0398aa14eaab5c2ae14054cc3239a8388329e14e8ed044ec1  plasma-nm-5.14.4.tar.xz"
